RDMA_DEREG_MR(3)

NAME
rdma_dereg_mr - deregisters a registered memory region.

SYNOPSIS
#include <rdma/rdma_verbs.h>

int rdma_dereg_mr (struct ibv_mr *mr);

ARGUMENTS

mr  A reference to a registered memory buffer.

DESCRIPTION
Deregisters a memory buffer that had been registered for RDMA or message operations. A user should call rdma_dereg_mr for all registered memory associated with an rdma_cm_id before destroying the rdma_cm_id.

RETURN VALUE
Returns 0 on success, or -1 on error. If an error occurs, errno will be set to indicate the failure reason.

NOTES
All memory registered with an rdma_cm_id is associated with the protection domain associated with the id. Users must deregister all registered memory before the protection domain can be destroyed.

SEE ALSO
rdma_cm(7), rdma_create_id(3), rdma_create_ep(3), rdma_destroy_id(3), rdma_destroy_ep(3), rdma_reg_msgs(3), rdma_reg_read(3), rdma_reg_write(3), ibv_reg_mr(3), ibv_dereg_mr(3)